package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrSafetyBrust;

/**
 * 安全设施-爆破片Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrSafetyBrustService 
{
    /**
     * 查询安全设施-爆破片
     * 
     * @param id 安全设施-爆破片ID
     * @return 安全设施-爆破片
     */
    public TPssrSafetyBrust selectTPssrSafetyBrustById(Long id);

    /**
     * 查询安全设施-爆破片列表
     * 
     * @param tPssrSafetyBrust 安全设施-爆破片
     * @return 安全设施-爆破片集合
     */
    public List<TPssrSafetyBrust> selectTPssrSafetyBrustList(TPssrSafetyBrust tPssrSafetyBrust);

    /**
     * 新增安全设施-爆破片
     * 
     * @param tPssrSafetyBrust 安全设施-爆破片
     * @return 结果
     */
    public int insertTPssrSafetyBrust(TPssrSafetyBrust tPssrSafetyBrust);

    /**
     * 修改安全设施-爆破片
     * 
     * @param tPssrSafetyBrust 安全设施-爆破片
     * @return 结果
     */
    public int updateTPssrSafetyBrust(TPssrSafetyBrust tPssrSafetyBrust);
    public int updateAllBySubId(TPssrSafetyBrust tPssrSafetyBrust);

    /**
     * 批量删除安全设施-爆破片
     * 
     * @param ids 需要删除的安全设施-爆破片ID
     * @return 结果
     */
    public int deleteTPssrSafetyBrustByIds(Long[] ids);

    /**
     * 删除安全设施-爆破片信息
     * 
     * @param id 安全设施-爆破片ID
     * @return 结果
     */
    public int deleteTPssrSafetyBrustById(Long id);
}
